<?php
namespace HellixElementor\Core;

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

use Elementor\Utils;

/**
 * Icons Manager class for the theme.
 */
final class Icons_Manager {

	/**
	 * Instantiate the object.
	 */
	public function __construct() {
		add_filter( 'elementor/icons_manager/additional_tabs', [ $this, 'additional_tabs' ], 20 );
	}

	/**
	 * Add IcoMoon to Icon Tabs.
	 *
	 * @param array $tabs Icon Tabs.
	 *
	 * @return array
	 */
	public function additional_tabs( $tabs ) {
		$new_tabs = [
			'icomoon-icons' => [
				'name'          => 'icomoon-icons',
				'label'         => esc_html__( 'Icomoon Icons', 'hellix-elementor' ),
				'url'           => get_template_directory_uri() . '/assets/css/icons.css',
				'enqueue'       => [],
				'prefix'        => 'icon-',
				'labelIcon'     => 'icon-idea',
				'ver'           => 'v1.5.0',
				'fetchJson'     => get_template_directory_uri() . '/assets/fonts/icomoon-icons.js',
			],

		];

		return array_merge( $tabs, $new_tabs );
	}
}
