<?php
namespace HellixElementor\Includes\Controls;

if ( ! defined( 'ABSPATH' ) ) {
    exit; // Exit if accessed directly.
}

use Elementor\Base_Data_Control;

class Control_Font_Size extends Base_Data_Control {

    public function get_type() {
        return 'font_size';
    }

    public static function get_sizes() {
        
        $font_sizes = [
            ''                  => esc_html__( 'Normal', 'hellix-elementor' ),
            'display-1'         => esc_html__( 'Display 1', 'hellix-elementor' ),
            'display-2'         => esc_html__( 'Display 2', 'hellix-elementor' ),
            'display-3'         => esc_html__( 'Display 3', 'hellix-elementor' ),
            'display-4'         => esc_html__( 'Display 4', 'hellix-elementor' ),
            'lead'              => esc_html__( 'Lead', 'hellix-elementor' ),
            'font-size-lg'      => esc_html__( 'Font Size lg', 'hellix-elementor' ),
            'font-size-sm'      => esc_html__( 'Font Size sm', 'hellix-elementor' ),
            'h1'                => esc_html__( 'H1', 'hellix-elementor' ),
            'h2'                => esc_html__( 'H2', 'hellix-elementor' ),
            'h3'                => esc_html__( 'H3', 'hellix-elementor' ),
            'h4'                => esc_html__( 'H4', 'hellix-elementor' ),
            'h5'                => esc_html__( 'H5', 'hellix-elementor' ),
            'h6'                => esc_html__( 'H6', 'hellix-elementor' ),

        ];

        $additional_sizes = apply_filters( 'hellix-elementor/controls/jh-font-size/font_size_options', [] );

        return array_merge( $font_sizes, $additional_sizes );
    }

    public function content_template() {
        $control_uid = $this->get_control_uid();
        ?>
        <div class="elementor-control-field">
            <label for="<?php echo $control_uid; ?>" class="elementor-control-title">{{{ data.label }}}</label>
            <div class="elementor-control-input-wrapper">
                <select id="<?php echo $control_uid; ?>" data-setting="{{ data.name }}">
                    <?php foreach ( static::get_sizes() as $key => $size ) : ?>
                    <option value="<?php echo $key; ?>"><?php echo $size; ?></option>
                    <?php endforeach; ?>
                </select>
            </div>
        </div>
        <# if ( data.description ) { #>
        <div class="elementor-control-field-description">{{{ data.description }}}</div>
        <# } #>
        <?php
    }
}