<?php

namespace HellixElementor\Modules\ImageBox;

use HellixElementor\Base\Module_Base;
use HellixElementor\Modules\ImageBox\Skins;

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

/**
 * The module class.
 */
class Module extends Module_Base {

	/**
	 * Instantiate the object.
	 */
	public function __construct() {
		parent::__construct();

		$this->add_actions();
	}

	/**
	 * Actions in this module.
	 */
	public function add_actions() {
		add_action( 'elementor/widget/image-box/skins_init', [ $this, 'init_skins' ], 10 );
	}

	/**
	 * Init skins for this module.
	 *
	 * @param Elementor\Widget_Image_Box $widget The image box widget.
	 */
	public function init_skins( $widget ) {
		$widget->add_skin( new Skins\Skin_Image_Box_Style_1( $widget ) );
	}

	/**
	 * Get the name of the module.
	 *
	 * @return string
	 */
	public function get_name() {
		return 'hx-image-box';
	}
}
