<?php

namespace HellixElementor\Modules\SocialIcons;

use HellixElementor\Base\Module_Base;
use HellixElementor\Modules\SocialIcons\Skins;

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

/**
 * The Social Icon module class.
 */
class Module extends Module_Base {

	/**
	 * Instantiate the object.
	 */
	public function __construct() {
		parent::__construct();
		$this->add_actions();
	}

	/**
	 * Get the name of the module.
	 *
	 * @return string
	 */
	public function get_name() {
		return 'hx-social-icons';
	}

	/**
	 * Actions in this module.
	 */
	public function add_actions() {
		add_action( 'elementor/widget/social-icons/skins_init', [ $this, 'init_skins' ], 10 );
	}

	/**
	 * Init skins for this module.
	 *
	 * @param Elementor\Widget_SocialIcons $widget The Social Icons widget.
	 */
	public function init_skins( $widget ) {
		$widget->add_skin( new Skins\Skin_Hellix( $widget ) );

	}
}

