<?php
namespace HellixElementor\Modules\Tabs;

use HellixElementor\Base\Module_Base;
use HellixElementor\Core\Controls_Manager as HX_Controls_Manager;
use Elementor\Core\Kits\Documents\Tabs\Global_Colors;
use Elementor\Core\Kits\Documents\Tabs\Global_Typography;
use Elementor\Repeater;
use Elementor\Controls_Manager;
use Elementor\Utils;
use Elementor\Group_Control_Image_Size;


if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

/**
 * The module class.
 */
class Module extends Module_Base {

	/**
	 * Instantiate the object.
	 */
	public function __construct() {
		parent::__construct();
		$this->add_actions();
	}

	/**
	 * Get the name of the module.
	 *
	 * @return string
	 */
	public function get_name() {
		return 'override-tabs';
	}

	/**
	 * Actions in this module.
	 */
	public function add_actions() {
		add_action( 'elementor/widget/tabs/skins_init', [ $this, 'init_skins' ], 10 );
	}

	/**
	 * Init skins for this module.
	 *
	 * @param Elementor\Widget_Tabs $widget The tabs widget.
	 */
	public function init_skins( $widget ) {
		$widget->add_skin( new Skins\Skin_Tabs_Services( $widget ) );
	}
}
